Get, Update, or Delete Collection

View as Markdown

GET: Retrieve detailed information about a collection including ordered experiences. PUT/PATCH: Update collection details and/or ordered experiences. DELETE: Delete a collection. Only the owner can update or delete.

Path parameters

idintegerRequired
pkintegerRequired
The ID of the collection

Request

This endpoint expects an object.
namestringOptional<=60 characters

Collection title (max 60 characters)

descriptionstringOptional<=500 characters

Collection description (max 500 characters)

publication_idintegerOptional
tag_nameslist of stringsOptional
visibilityenumOptional
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
experienceslist of maps from strings to integersOptional

List of dicts with ‘experience_id’ and ‘order’ keys. Required for creation.

Response

Collection details
idintegerRead-only
uidstringRead-onlyformat: "uuid"
namestring<=256 characters

Collection name (max 60 characters)

publicationobject
Minimal serializer for Publication, used in other serializers
ownerobject
Simple user serializer with profile picture from associated IAMUserDetail. Fields: - id, email, full_name, username, is_verified (from IAMUser) - profile_picture (from first related IAMUserDetail if present)
tagsstringRead-only
ordered_experiencesstringRead-only
experience_countintegerRead-only
metricsstringRead-only
user_interaction_statestringRead-only
created_atdatetimeRead-only
updated_atdatetimeRead-only
descriptionstring<=512 characters

Collection description (max 500 characters)

visibilityenum
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error